Last modified: 2014-08-17 11:20:29 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 66185 - [Regression] CentralAuth: Fix "User::addToDatabase: hit a key conflict"
[Regression] CentralAuth: Fix "User::addToDatabase: hit a key conflict"
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
CentralAuth (Other open bugs)
unspecified
All All
: Normal normal (vote)
: ---
Assigned To: Nobody - You can work on this!
: code-update-regression
Depends on:
Blocks: code_quality
  Show dependency treegraph
 
Reported: 2014-06-05 11:36 UTC by Krinkle
Modified: 2014-08-17 11:20 UTC (History)
5 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Krinkle 2014-06-05 11:36:18 UTC
Earlier today 5 exceptions were logged by CentralAuthHooks::attemptAddUser.



User::addToDatabase: hit a key conflict attempting to insert user 'Mkhz2' row, but it was not present in select!
#0 /usr/local/apache/common-local/php-1.24wmf6/extensions/CentralAuth/CentralAuthHooks.php(856): User->addToDatabase()
#1 /usr/local/apache/common-local/php-1.24wmf6/extensions/CentralAuth/CentralAuthHooks.php(581): CentralAuthHooks::attemptAddUser(Object(User))
#2 [internal function]: CentralAuthHooks::onUserLoadFromSession(Object(User), NULL)
#3 /usr/local/apache/common-local/php-1.24wmf6/includes/Hooks.php(206): call_user_func_array('CentralAuthHook...', Array)
#4 /usr/local/apache/common-local/php-1.24wmf6/includes/GlobalFunctions.php(4001): Hooks::run('UserLoadFromSes...', Array, NULL)
#5 /usr/local/apache/common-local/php-1.24wmf6/includes/User.php(1094): wfRunHooks('UserLoadFromSes...', Array)
#6 /usr/local/apache/common-local/php-1.24wmf6/includes/User.php(343): User->loadFromSession()
#7 /usr/local/apache/common-local/php-1.24wmf6/includes/User.php(1932): User->load()
#8 /usr/local/apache/common-local/php-1.24wmf6/includes/User.php(3058): User->getId()
#9 /usr/local/apache/common-local/php-1.24wmf6/includes/Wiki.php(541): User->isLoggedIn()
#10 /usr/local/apache/common-local/php-1.24wmf6/includes/Wiki.php(451): MediaWiki->main()
#11 /usr/local/apache/common-local/php-1.24wmf6/index.php(46): MediaWiki->run()
#12 /usr/local/apache/common-local/w/index.php(3): require('/usr/local/apac...')



2014-06-05T02:10:04.000Z
	exception
	fawiki
	mw1092
	User::addToDatabase: hit a key conflict attempting to insert user 'Mkhz2' row, but it was not present in select!

2014-06-05T02:10:04.000Z
	exception-json
	fawiki
	mw1164
	User::addToDatabase: hit a key conflict attempting to insert user 'Mkhz2' row, but it was not present in select!

2014-06-05T02:10:04.000Z
	exception
	fawiki
	mw1112
	User::addToDatabase: hit a key conflict attempting to insert user 'Mkhz2' row, but it was not present in select!

2014-06-05T02:10:04.000Z
	exception
	fawiki
	mw1081
	User::addToDatabase: hit a key conflict attempting to insert user 'Mkhz2' row, but it was not present in select!

2014-06-05T02:10:04.000Z
	exception-json
	fawiki
	mw1085
	User::addToDatabase: hit a key conflict attempting to insert user 'Mkhz2' row, but it was not present in select!



See also:
* bug 16020
* bug 41609
Comment 1 Sam Reed (reedy) 2014-06-05 12:35:38 UTC
I'm not sure it's a regression (at the moment, it's a one off for one user). And if it is, it would seem to be a core bug
Comment 2 Greg Grossmeier 2014-06-05 20:16:47 UTC
Setting to normal for now, per Reedy's comment.
Comment 3 Gerrit Notification Bot 2014-06-24 00:41:38 UTC
Change 141609 had a related patch set uploaded by Aaron Schulz:
Avoid key conflict errors in User::addToDatabase

https://gerrit.wikimedia.org/r/141609
Comment 4 Gerrit Notification Bot 2014-06-24 10:59:30 UTC
Change 141609 had a related patch set uploaded by Krinkle:
Avoid key conflict errors in User::addToDatabase

https://gerrit.wikimedia.org/r/141609
Comment 5 Gerrit Notification Bot 2014-06-26 15:50:36 UTC
Change 141609 merged by jenkins-bot:
Avoid key conflict errors in User::addToDatabase

https://gerrit.wikimedia.org/r/141609
Comment 6 Andre Klapper 2014-08-17 11:20:29 UTC
All patches mentioned in this report were merged - assuming this bug is FIXED.
If that is not the case: Please reopen and elaborate what is left to do here to get this report fixed.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links